org.fourthline.cling.binding.xml

## Class UDA10DeviceDescriptorBinderImpl

- java.lang.Object
- - org.fourthline.cling.binding.xml.UDA10DeviceDescriptorBinderImpl

- All Implemented Interfaces:
    DeviceDescriptorBinder, ErrorHandler
  Direct Known Subclasses:
    RecoveringUDA10DeviceDescriptorBinderImpl, UDA10DeviceDescriptorBinderSAXImpl

      public class UDA10DeviceDescriptorBinderImpl
      extends Object
      implements DeviceDescriptorBinder, ErrorHandler

  Implementation based on JAXP DOM.
  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDA10DeviceDescriptorBinderImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `buildDOM(Device deviceModel, RemoteClientInfo info, Namespace namespace)`
    `<D extends Device> D` | `buildInstance(D undescribedDevice, MutableDevice descriptor)`
    `<D extends Device> D` | `describe(D undescribedDevice, Document dom)`
    `<D extends Device> D` | `describe(D undescribedDevice, String descriptorXml)`
    `void` | `error(SAXParseException e)`
    `void` | `fatalError(SAXParseException e)`
    `String` | `generate(Device deviceModel, RemoteClientInfo info, Namespace namespace)`
    `protected void` | `generateDevice(Namespace namespace, Device deviceModel, Document descriptor, Element rootElement, RemoteClientInfo info)`
    `protected void` | `generateDeviceList(Namespace namespace, Device deviceModel, Document descriptor, Element deviceElement, RemoteClientInfo info)`
    `protected void` | `generateIconList(Namespace namespace, Device deviceModel, Document descriptor, Element deviceElement)`
    `protected void` | `generateRoot(Namespace namespace, Device deviceModel, Document descriptor, RemoteClientInfo info)`
    `protected void` | `generateServiceList(Namespace namespace, Device deviceModel, Document descriptor, Element deviceElement)`
    `protected void` | `generateSpecVersion(Namespace namespace, Device deviceModel, Document descriptor, Element rootElement)`
    `void` | `hydrateDevice(MutableDevice descriptor, Node deviceNode)`
    `void` | `hydrateDeviceList(MutableDevice descriptor, Node deviceListNode)`
    `void` | `hydrateIconList(MutableDevice descriptor, Node iconListNode)`
    `protected void` | `hydrateRoot(MutableDevice descriptor, Element rootElement)`
    `void` | `hydrateServiceList(MutableDevice descriptor, Node serviceListNode)`
    `void` | `hydrateSpecVersion(MutableDevice descriptor, Node specVersionNode)`
    `protected static URI` | `parseURI(String uri)`
    `void` | `warning(SAXParseException e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UDA10DeviceDescriptorBinderImpl

          public UDA10DeviceDescriptorBinderImpl()

  - ### Method Detail

    - #### describe

          public <D extends Device> D describe(D undescribedDevice,
                                      String descriptorXml)
                                    throws DescriptorBindingException,
                                           ValidationException

      Specified by:
        `describe` in interface `DeviceDescriptorBinder`
      Throws:
        `DescriptorBindingException`
        `ValidationException`

    - #### describe

          public <D extends Device> D describe(D undescribedDevice,
                                      Document dom)
                                    throws DescriptorBindingException,
                                           ValidationException

      Specified by:
        `describe` in interface `DeviceDescriptorBinder`
      Throws:
        `DescriptorBindingException`
        `ValidationException`

    - #### buildInstance

          public <D extends Device> D buildInstance(D undescribedDevice,
                                           MutableDevice descriptor)
                                         throws ValidationException

      Throws:
        `ValidationException`

    - #### hydrateRoot

          protected void hydrateRoot(MutableDevice descriptor,
                         Element rootElement)
                              throws DescriptorBindingException

      Throws:
        `DescriptorBindingException`

    - #### hydrateSpecVersion

          public void hydrateSpecVersion(MutableDevice descriptor,
                                Node specVersionNode)
                                  throws DescriptorBindingException

      Throws:
        `DescriptorBindingException`

    - #### hydrateDevice

          public void hydrateDevice(MutableDevice descriptor,
                           Node deviceNode)
                             throws DescriptorBindingException

      Throws:
        `DescriptorBindingException`

    - #### hydrateIconList

          public void hydrateIconList(MutableDevice descriptor,
                             Node iconListNode)
                               throws DescriptorBindingException

      Throws:
        `DescriptorBindingException`

    - #### hydrateServiceList

          public void hydrateServiceList(MutableDevice descriptor,
                                Node serviceListNode)
                                  throws DescriptorBindingException

      Throws:
        `DescriptorBindingException`

    - #### hydrateDeviceList

          public void hydrateDeviceList(MutableDevice descriptor,
                               Node deviceListNode)
                                 throws DescriptorBindingException

      Throws:
        `DescriptorBindingException`

    - #### generate

          public String generate(Device deviceModel,
                        RemoteClientInfo info,
                        Namespace namespace)
                          throws DescriptorBindingException

      Specified by:
        `generate` in interface `DeviceDescriptorBinder`
      Throws:
        `DescriptorBindingException`

    - #### buildDOM

          public Document buildDOM(Device deviceModel,
                          RemoteClientInfo info,
                          Namespace namespace)
                            throws DescriptorBindingException

      Specified by:
        `buildDOM` in interface `DeviceDescriptorBinder`
      Throws:
        `DescriptorBindingException`

    - #### generateRoot

          protected void generateRoot(Namespace namespace,
                          Device deviceModel,
                          Document descriptor,
                          RemoteClientInfo info)

    - #### generateSpecVersion

          protected void generateSpecVersion(Namespace namespace,
                                 Device deviceModel,
                                 Document descriptor,
                                 Element rootElement)

    - #### generateDevice

          protected void generateDevice(Namespace namespace,
                            Device deviceModel,
                            Document descriptor,
                            Element rootElement,
                            RemoteClientInfo info)

    - #### generateIconList

          protected void generateIconList(Namespace namespace,
                              Device deviceModel,
                              Document descriptor,
                              Element deviceElement)

    - #### generateServiceList

          protected void generateServiceList(Namespace namespace,
                                 Device deviceModel,
                                 Document descriptor,
                                 Element deviceElement)

    - #### generateDeviceList

          protected void generateDeviceList(Namespace namespace,
                                Device deviceModel,
                                Document descriptor,
                                Element deviceElement,
                                RemoteClientInfo info)

    - #### warning

          public void warning(SAXParseException e)
                       throws SAXException

      Specified by:
        `warning` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### error

          public void error(SAXParseException e)
                     throws SAXException

      Specified by:
        `error` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### fatalError

          public void fatalError(SAXParseException e)
                          throws SAXException

      Specified by:
        `fatalError` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### parseURI

          protected static URI parseURI(String uri)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.